Name:       jwm
Summary:    Lightweight X11 Window Manager
Version:    2.4.3
Release:    %mkrel 1
License:    MIT
Group:      Graphical desktop/Other

URL:        https://joewing.net/projects/jwm/
Source:     https://github.com/joewing/jwm/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  gettext-devel

%description
JWM is a window manager for the X11 Window System. JWM is written in C and
uses only Xlib at a minimum.

%prep
%autosetup -p1

%build
./autogen.sh
%configure

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/system.jwmrc
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Sep 15 2024 daviddavid <daviddavid> 2.4.3-1.mga10
+ Revision: 2096757
- new version: 2.4.3

* Sat Sep 16 2023 neoclust <neoclust> 2.4.2-1.mga10
+ Revision: 1987044
- New version 2.4.2

* Wed Mar 30 2022 umeabot <umeabot> 2.3.7-5.mga9
+ Revision: 1835277
- Mageia 9 Mass Rebuild

* Fri Mar 20 2020 shlomif <shlomif> 2.3.7-4.mga8
+ Revision: 1558181
- apply a patch to avoid scaling bg jpegs

* Thu Feb 13 2020 umeabot <umeabot> 2.3.7-3.mga8
+ Revision: 1513692
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.3.7-2.mga7
+ Revision: 1298407
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 shlomif <shlomif> 2.3.7-1.mga7
+ Revision: 1162255
- New version 2.3.7

* Sat Jan 14 2017 shlomif <shlomif> 2.3.6-1.mga6
+ Revision: 1081703
- New version 2.3.6

* Mon Feb 15 2016 umeabot <umeabot> 2.3.2-2.mga6
+ Revision: 960793
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 2.3.2-1.mga6
+ Revision: 893959
- Update to 2.3.2 and clean up spec

* Wed Oct 15 2014 umeabot <umeabot> 2.2.2-3.mga5
+ Revision: 742688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-2.mga5
+ Revision: 680905
- Mageia 5 Mass Rebuild

* Thu Mar 20 2014 shlomif <shlomif> 2.2.2-1.mga5
+ Revision: 606234
- New version 2.2.2

* Tue Feb 04 2014 shlomif <shlomif> 2.2.0-1.mga5
+ Revision: 580556
- Importing - originally based on the Mandriva IceWM package


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 2.0.1-2mdv2011.0
+ Revision: 624743
- Fix the group
- import jwm


* Sat Dec 25 2010 Shlomi Fish <shlomif@iglu.org.il> 2.0.1-2mdv
- Adapted the IceWM SPEC to this one (and cleaned it up heavily).

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.3.3-3mdv2010.1
+ Revision: 522917
- rebuilt for 2010.1

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 1:1.3.3-2mdv2010.0
+ Revision: 449202
- buildrequire gnomeui2-devel
- fix build: pkg-config --cflags gnome-desktop-2.0 doesn't implicitly
  include libgnomeui-2.0 anymore, so add it in explicitly (from Fedora)
- rediff patches (from Arnaud Patard)

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1:1.3.3-1mdv2009.1
+ Revision: 295075
- update to new version 1.3.3

* Tue Aug 26 2008 Pixel <pixel@mandriva.com> 1:1.3.1-4mdv2009.0
+ Revision: 276300
- do not call xvt with options not standardized (#43115)

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 1:1.3.1-3mdv2008.1
+ Revision: 176402
- drop Chicago.ttf from themes.tar (#38252)
- compress themes.tar with lzma instead of bz2

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 1:1.3.1-2mdv2008.1
+ Revision: 146646
- add epoch due to past packaging errors
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 11 2007 Pixel <pixel@mandriva.com> 1.3.1-1mdv2008.0
+ Revision: 61692
- new release, 1.3.1
- restore focusing on raise (as used to be in 1.2.6)

* Wed Jun 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-3mdv2008.0
+ Revision: 41852
- add freedesktop.org icon theme support for large/huge sizes
- prefer freedesktop.org icons
- prefer freedesktop.org hicolor theme
- add support for /usr/share/icons/mini and /usr/share/icons/large icons (and remove previous hardcoded hack)

* Wed Jun 20 2007 Olivier Blin <oblin@mandriva.com> 1.3.0-2mdv2008.0
+ Revision: 41657
- use web_browser_section icon for browser in toolbar (mozilla.png does not exist anymore)
- allow to find icons when using gdk, to add icons back in toolbar and menu (Pixel: now you can drop imlib :-p)

* Fri May 18 2007 Pixel <pixel@mandriva.com> 1.3.0-1mdv2008.0
+ Revision: 28093
- new release, 1.3.0
- remove theme Urbicande which makes icewm crash


* Tue Nov 21 2006 Pixel <pixel@mandriva.com> 1.3.0-0.1mdv2007.0
+ Revision: 85741
- need sgml2html to build doc
- Cris B <cris AT beebgames DOT com>
- Use correct X11 buildrequires
- New cvs version
- Drop imlib requirement (bug #24064)
- Disable enable-gradients on gnome version as it doesn't build
- adapt patch0, patch3, patch4, patch16
- drop patch15 (only for imlib which we drop)
- drop patch19 ("light" build seems ok without it)
- drop patch20 (now applied in patch0)

* Sat Oct 28 2006 Stefan van der Eijk <stefan@mandriva.org> 1.2.28-3mdv2007.1
+ Revision: 73589
- rebuild
- rebuild
- 1.2.28

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 1.2.27

* Fri Aug 18 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.26-5mdv2007.0
+ Revision: 56628
- Only install menu methods and file on 2006.0 and older

* Wed Aug 16 2006 Pixel <pixel@mandriva.com> 1.2.26-4mdv2007.0
+ Revision: 56184
- move from /usr/X11R6/bin to /usr/bin  and  from /usr/X11R6/lib/X11 to /usr/share/X11
- Import icewm

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 1.2.26-3
- rebuild for png
- %%mkrel

* Fri May 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.26-2mdk
- Add new xdg menu script
- Fix menu-method, we are Mandriva Linux now :)

* Fri Apr 28 2006 Pixel <pixel@mandriva.com> 1.2.26-1mdk
- new release
- drop patch 17 (now unused?)
- refresh patches 1, 18, 19
- fix version (but not using epoch since the bad version only appeared once, in cooker)
- fixes bugzilla #22167

* Tue Feb 28 2006 Jerome Soyer <saispo@mandriva.org> 1.2.25-1mdk
- New release 1.2.25

* Tue Jan 31 2006 Pixel <pixel@mandriva.com> 1.2.24-2mdk
- rebuild to have all subpackages

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 1.2.24-1mdk
- New release 1.2.24

* Tue Aug 23 2005 Pixel <pixel@mandriva.com> 1.2.23-3mdk
- use www-browser in the toolbar

* Fri Aug 19 2005 Pixel <pixel@mandriva.com> 1.2.23-2mdk
- fix mute/unmute
- remove broken mozilla calls, use www-browser for one
- fix requires post&postun (thanks to pterjan)

* Thu Aug 18 2005 Pixel <pixel@mandriva.com> 1.2.23-1mdk
- new release
- update patch0
- fix building icewm-light
- replace prereq

* Thu Mar 31 2005 Warly <warly@mandrakesoft.com> 1.2.20-4mdk
- add support for 24 virtual desktops

* Thu Feb 17 2005 Pixel <pixel@mandrakesoft.com> 1.2.20-3mdk
- add some Conflict (due to some theme move between icewm and icewm-light, urpmi needs help)

* Wed Feb 16 2005 Pixel <pixel@mandrakesoft.com> 1.2.20-2mdk
- allow not building light or gnome binaries
- remove requires-on-release from icewm-gnome
- have monochrome theme in the themes directory directly in the tarball
- no need to FIX CRASHES for microGUI/complex and Kubical1.2
- have the Galaxy be the real galaxy theme
- put the default theme (Galaxy) in icewm-light (otherwise the default icewm-light theme is broken)
- better regexp to help dropping many app_* and xterm_* xpms
- icesound now builds again
- fix requires-on-release
- fix icewm menu entry
- fix rights on xpm files
- /etc/menu-methods/icewm is no more marked as a config file
- cleanup

* Sun Feb 13 2005 Crispin Boylan <viewtronix@uklinux.net> 1.2.20-1mdk
- new version
- cleanup build options
- gnome 2 menus

* Tue Nov 30 2004 Pixel <pixel@mandrakesoft.com> 1.2.16-3mdk
- make icewm depend on xlockmore, not icewm-light

* Fri Oct 08 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.16-2mdk
- set default theme (patch 16)
- add MCC to toolbar
- merged patch1 and patch9
- depend on xlockmore
- make halt and reboot work

* Thu Oct 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.16-1mdk
- 1.2.16 (bug fix for full screen apps)

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.15-0.pre3.2mdk
- Patch15: fix background dithering

* Thu Aug 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.15-0.pre3.1mdk
- 1.2.15pre3

* Tue Mar 23 2004 Florin <florin@mandrakesoft.com> 1.2.14-0.pre11.1mdk
- 1.2.14pre11
- update the config patch
- update the fixcrash patch
- update the showdesktop patch
- add the VERSION patch to fix the Help
- add the fr_po patch
- modify the background patch (use default.png)
- add some popular themes
- use mis-fixed fonts instead of adobe-helvetica

